ZABBIX_AGENTD(8)

NAME
zabbix_agentd - Zabbix agent daemon

SYNOPSIS
zabbix_agentd [-c config-file]
zabbix_agentd [-c config-file] -p
zabbix_agentd [-c config-file] -t item-key
zabbix_agentd [-c config-file] -R runtime-option
zabbix_agentd -h
zabbix_agentd -V

DESCRIPTION
zabbix_agentd is a daemon for monitoring various server parameters.

OPTIONS

-c, --config config-file
    Use the alternate config-file instead of the default one.

-f, --foreground
    Run Zabbix agent in foreground.

-R, --runtime-control runtime-option
    Perform administrative functions according to runtime-option.

  Runtime control options

    log_level_increase[=target]
        Increase log level, affects all processes if target is not specified

    log_level_decrease[=target]
        Decrease log level, affects all processes if target is not specified

  Log level control targets

    process-type
        All processes of specified type (active checks, collector, listener)

    process-type,N
        Process type and number (e.g., listener,3)

    pid Process identifier, up to 65535. For larger values specify target as "process-type,N"

-p, --print
    Print known items and exit. For each item either generic defaults are used, or specific defaults for testing are supplied. These defaults are listed in square brackets as item key parameters. Returned values are enclosed in square brackets and prefixed with the type of the returned value, separated by a pipe character. For user parameters type is always t, as the agent can not determine all possible return values. Items, displayed as working, are not guaranteed to work from the Zabbix server or zabbix_get when querying a running agent daemon as permissions or environment may be different. Returned value types are:

    d   Number with a decimal part.

    m   Not supported. This could be caused by querying an item that only works in the active mode like a log monitoring item or an item that requires multiple collected values. Permission issues or incorrect user parameters could also result in the not supported state.

    s   Text. Maximum length not limited.

    t   Text. Same as s.

    u   Unsigned integer.

-t, --test item-key
    Test single item and exit. See --print for output description.

-h, --help
    Display this help and exit.

-V, --version
    Output version information and exit.

FILES

/usr/local/etc/zabbix_agentd.conf
    Default location of Zabbix agent configuration file (if not modified during compile time).

SEE ALSO
Documentation (https://www.zabbix.com/manuals)

zabbix_get(1), zabbix_proxy(8), zabbix_sender(1), zabbix_server(8), zabbix_js(1), zabbix_agent2(8)

AUTHOR
Alexei Vladishev <alex@zabbix.com>